Bug 963999 - ModemManager brings in -devel packages
ModemManager brings in -devel packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 21:54 EDT by Ben Boeckel
Modified: 2013-08-04 18:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 18:39:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2013-05-16 21:54:53 EDT
Hit it while upgrading; here's a log of yum's depsolving when installing it (I removed it since I don't use it before this).

--> Running transaction check
---> Package ModemManager.x86_64 0:0.7.990-1.git20130515.fc20 will be installed
--> Processing Dependency: libqmi-glib.so.0()(64bit) for package: ModemManager-0.7.990-1.git20130515.fc20.x86_64
--> Processing Dependency: libmm-glib.so.0()(64bit) for package: ModemManager-0.7.990-1.git20130515.fc20.x86_64
--> Running transaction check
---> Package ModemManager-glib-devel.x86_64 0:0.7.990-1.git20130515.fc20 will be installed
--> Processing Dependency: ModemManager-devel(x86-64) = 0.7.990-1.git20130515.fc20 for package: ModemManager-glib-devel-0.7.990-1.git20130515.fc20.x86_64
--> Processing Dependency: pkgconfig(ModemManager) for package: ModemManager-glib-devel-0.7.990-1.git20130515.fc20.x86_64
---> Package libqmi.x86_64 0:1.3.0-1.git20130510.fc20 will be installed
--> Running transaction check
---> Package ModemManager-devel.x86_64 0:0.7.990-1.git20130515.fc20 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================================================
 Package                                                          Arch                                            Version                                                               Repository                                        Size
===============================================================================================================================================================================================================================================
Installing:
 ModemManager                                                     x86_64                                          0.7.990-1.git20130515.fc20                                            rawhide                                          542 k
Installing for dependencies:
 ModemManager-devel                                               x86_64                                          0.7.990-1.git20130515.fc20                                            rawhide                                          176 k
 ModemManager-glib-devel                                          x86_64                                          0.7.990-1.git20130515.fc20                                            rawhide                                          363 k
 libqmi                                                           x86_64                                          1.3.0-1.git20130510.fc20                                              rawhide                                          273 k
Comment 1 Dan Williams 2013-07-30 14:46:36 EDT
Is this still an issue with latest builds?  I can't see anything in the specfile where the core package would require the -devel package.

Currently:

ModemManager-glib-1.0.1-1.git20130723.fc20 provides:
/usr/lib64/libmm-glib.so.0
/usr/lib64/libmm-glib.so.0.0.0

ModemManager-glib-devel-1.0.1-1.git20130723.fc20 provides:
/usr/lib64/libmm-glib.so
Comment 2 Ben Boeckel 2013-08-04 18:39:21 EDT
Seems to have been fixed since that run.

Note You need to log in before you can comment on or make changes to this bug.